# Armazenamento

Permite gerenciar o Armazenamento. O usuário pode criar novas pastas e arquivos, obter informações sobre pastas e arquivos, atualizar informações sobre pastas e arquivos, bem como excluir pastas e arquivos.

Métodos:

### **API para trabalhar com pastas**

1\) [Criar nova pasta](#user-content-fn-1)[^1]

2\) [Obter informações sobre a pasta por GUID](#user-content-fn-2)[^2]

3\) [Obter lista de pastas relacionadas ao GUID](#user-content-fn-3)[^3]

4\) [Atualizar informações sobre a pasta por GUID](#user-content-fn-4)[^4]

5\) [Excluir pasta por GUID](#user-content-fn-5)[^5]

### **API para trabalhar com arquivos**

1\) [Criar novo arquivo](#user-content-fn-6)[^6]

2\) [Obter informações sobre o arquivo por GUID](#user-content-fn-7)[^7]

3\) [Atualizar informações sobre o arquivo por GUID](#user-content-fn-8)[^8]

4\) [Excluir arquivo por GUID](#user-content-fn-9)[^9]

[^1]: /api/folders/create

[^2]: /api/folders/read/{guid}

[^3]: /api/folders/list

[^4]: /api/folders/update

[^5]: /api/folders/delete/{guid}

[^6]: /api/files/create

[^7]: /api/files/read/{guid}

[^8]: /api/files/update

[^9]: /api/files/delete/{guid}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/pt/sherpa-rpa/sherpa-orchestrator/api/khranilishe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
